<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
        <ion-button fill="clear" (click)="dismiss()">{{"CLOSE" | translate}}</ion-button>
    </ion-buttons>
    <ion-title>{{"MEASURED_RESULT" | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>

    <ion-card>
      <ion-card-content>
        <ion-grid>
          <ion-row>
              <ion-icon name="briefcase"></ion-icon>
              <ion-label>{{ values.cname }}</ion-label>  
          </ion-row>
          <ion-row>
              <ion-icon name="pin"></ion-icon>
              <ion-label>{{ values.sname }}</ion-label>
          </ion-row>
          <ion-row>
              <ion-icon name="contact"></ion-icon>
              <ion-label>{{ values.ct_name }}</ion-label>
          </ion-row>
          <ion-row>
              <ion-icon name="clipboard"></ion-icon>
              <ion-label>{{ values.mixnum }}</ion-label>
          </ion-row>
        </ion-grid>
      </ion-card-content>
    </ion-card>

    <ion-card>
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col  size="6">
              <div>
                {{"PLEASE_REGISTER_THE_MIX_TABLE_FIRST" | translate}}
              </div>
            </ion-col>
            <ion-col size="3">
              <div>
                {{"MASS" | translate}}
              </div>
            </ion-col>
            <ion-col size="3">
              <div>
                {{"DENSITY" | translate}}
              </div>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col>
                {{"WATER" | translate}}
            </ion-col>
            <ion-col>
                (W1)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.w1_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.w1_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (W2)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.w2_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.w2_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
              <div>
                (W3)
              </div>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.w3_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.w3_density }}</ion-label>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col>
              {{"CEMENT" | translate}}
            </ion-col>
            <ion-col>
                (C1)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.c1_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.c1_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (C2)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.c2_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.c2_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
              <div>
                (C3)
              </div>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.c3_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.c3_density }}</ion-label>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col>
                광물질
            </ion-col>
            <ion-col>
                (m.ad1)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.mad1_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.mad1_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
                혼화제
            </ion-col>
            <ion-col>
                (m.ad2)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.mad2_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.mad2_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
              <div>
                (m.ad3)
              </div>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.mad3_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.mad3_density }}</ion-label>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col>
                {{"FINE_AGGREGATE" | translate}}
            </ion-col>
            <ion-col>
                (S1)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.s1_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.s1_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (S2)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.s2_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.s2_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (S3)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.s3_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.s3_density }}</ion-label>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col>
              {{"COARSE_AGGREGATE" | translate}}
            </ion-col>
            <ion-col>
                (G1)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.g1_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.g1_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (G2)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.g2_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.g2_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (G3)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.g3_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.g3_density }}</ion-label>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col>
                {{"ADMIXTURE" | translate}}
            </ion-col>
            <ion-col>
                (AD1)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.ad1_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.ad1_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (AD2)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.ad2_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.ad2_density }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
            </ion-col>
            <ion-col>
                (AD3)
            </ion-col>
            <ion-col>
                <ion-label>{{ values.ad3_unit }}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{ values.ad3_density }}</ion-label>
            </ion-col>
          </ion-row>

        </ion-grid>
    </ion-card-content>
  </ion-card>
  

  <ion-card>
    <ion-card-header>
      <ion-card-subtitle>{{"MEASURED_RESULT" | translate}}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <ion-list>
        <ion-item>
          <ion-label>{{"VESSEL_MASS" | translate}}(g)</ion-label>
          <ion-label>{{ values.common_mass }}</ion-label>
          <ion-note>g</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"VESSEL_MASS_FILLED_WITH_WATER" | translate}}(g)</ion-label>
          <ion-label>{{ values.common_water }}</ion-label>
          <ion-note>g</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"VESSEL_VOLUME" | translate}}(ml)</ion-label>
          <ion-label>{{ values.common_volume }}</ion-label>
          <ion-note>ml</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"SLUMP" | translate}}(mm)</ion-label>
          <ion-label>{{ values.input_slump }}</ion-label>
          <ion-note>mm</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"CONCRETE_TEMP" | translate}}(°C)</ion-label>
          <ion-label>{{ values.input_temp }}</ion-label>
          <ion-note>°C</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"VESSEL+CON" | translate}}(g)</ion-label>
          <ion-label>{{ values.input_before }}</ion-label>
          <ion-note>g</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"VESSEL+CON+W" | translate}}(g)</ion-label>
          <ion-label>{{ values.input_after }}</ion-label>
          <ion-note>g</ion-note>
        </ion-item>
        <ion-item>
          <ion-label>{{"INITIAL_PRESSURE" | translate}}(kPa)</ion-label>
          <ion-label>{{ values.input_i_pressure }}</ion-label>
          <ion-note>kPa</ion-note>    
        </ion-item>
        <ion-item>
          <ion-label>{{"EQUILIBRIUM_PRESSURE" | translate}}(kPa)</ion-label>
          <ion-label>{{ values.input_e_pressure }}</ion-label>
          <ion-note>kPa</ion-note>    
        </ion-item>
        <ion-item>
          <ion-label>{{"DESIGN_VOLUME" | translate}}(m³)</ion-label>
          <ion-label>{{ (values.mix_volume / 1000).toFixed(3) }}</ion-label>
          <ion-note>m³</ion-note>
        </ion-item>
        <ion-item>
          <ion-label><b>{{"MASS_OF_UNIT_VOLUME" | translate}}</b></ion-label>
          <ion-label>{{ values.mass }}</ion-label>
          <ion-note>kg/m³</ion-note>
        </ion-item>
        <ion-item>
          <ion-label><b>{{"AIR_CONTENT" | translate}}Air</b></ion-label>
          <ion-label>{{ values.air }}</ion-label>
          <ion-note>%</ion-note>
        </ion-item>
        <ion-item>
          <ion-label><b>{{"UNIT_CONTENT_OF_WATER" | translate}}W</b></ion-label>
          <ion-label>{{ values.quantity }}</ion-label>
          <ion-note>kg/m³</ion-note>
        </ion-item>

      </ion-list>
    </ion-card-content>
  </ion-card>
  <ion-textarea type="text"  [(ngModel)]="values.memo" placeholder="{{'MEMO' | translate}}"></ion-textarea>
  <div text-right>
      <ion-button color="slackSub" (click)="save()">{{"SAVE" | translate}}</ion-button>
      &nbsp;&nbsp;
      <ion-button color="slack" (click)="saveAndPrint()">{{"SAVE_MOVE" | translate}}</ion-button>
  </div>

</ion-content>
